package com.gic.haoban.manage.service.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * Created By MBG-GUI-EXTENSION https://github.com/spawpaw/mybatis-generator-gui-extension
 * Description:
 *
 * @author fdh
 */
public class TabHaobanSyncTask implements Serializable {
    /**
     *
     */
    private String taskId;

    private String wxEnterpriseId;

    /**
     *
     */
    private String taskName;

    /**
     * 任务创建人
     */
    private String addUser;

    /**
     * 任务描述
     */
    private String taskDesc;

    /**
     * 任务状态
     */
    private Integer statusFlag;

    private Integer taskType;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    /**
     */
    private static final long serialVersionUID = 1L;

    public Integer getTaskType() {
        return taskType;
    }

    public void setTaskType(Integer taskType) {
        this.taskType = taskType;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    /**
     * This method returns the value of the database column tab_haoban_sync_task.task_id
     *
     * @return the value of tab_haoban_sync_task.task_id
     */
    public String getTaskId() {
        return taskId;
    }

    /**
     * This method sets the value of the database column tab_haoban_sync_task.task_id
     *
     * @param taskId the value for tab_haoban_sync_task.task_id
     */
    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    /**
     * This method returns the value of the database column tab_haoban_sync_task.task_name
     *
     * @return the value of tab_haoban_sync_task.task_name
     */
    public String getTaskName() {
        return taskName;
    }

    /**
     * This method sets the value of the database column tab_haoban_sync_task.task_name
     *
     * @param taskName the value for tab_haoban_sync_task.task_name
     */
    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    /**
     * This method returns the value of the database column tab_haoban_sync_task.add_user
     *
     * @return the value of tab_haoban_sync_task.add_user
     */
    public String getAddUser() {
        return addUser;
    }

    /**
     * This method sets the value of the database column tab_haoban_sync_task.add_user
     *
     * @param addUser the value for tab_haoban_sync_task.add_user
     */
    public void setAddUser(String addUser) {
        this.addUser = addUser;
    }

    /**
     * This method returns the value of the database column tab_haoban_sync_task.task_desc
     *
     * @return the value of tab_haoban_sync_task.task_desc
     */
    public String getTaskDesc() {
        return taskDesc;
    }

    /**
     * This method sets the value of the database column tab_haoban_sync_task.task_desc
     *
     * @param taskDesc the value for tab_haoban_sync_task.task_desc
     */
    public void setTaskDesc(String taskDesc) {
        this.taskDesc = taskDesc;
    }

    /**
     * This method returns the value of the database column tab_haoban_sync_task.status_flag
     *
     * @return the value of tab_haoban_sync_task.status_flag
     */
    public Integer getStatusFlag() {
        return statusFlag;
    }

    /**
     * This method sets the value of the database column tab_haoban_sync_task.status_flag
     *
     * @param statusFlag the value for tab_haoban_sync_task.status_flag
     */
    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    /**
     * This method returns the value of the database column tab_haoban_sync_task.create_time
     *
     * @return the value of tab_haoban_sync_task.create_time
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * This method sets the value of the database column tab_haoban_sync_task.create_time
     *
     * @param createTime the value for tab_haoban_sync_task.create_time
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * This method returns the value of the database column tab_haoban_sync_task.update_time
     *
     * @return the value of tab_haoban_sync_task.update_time
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * This method sets the value of the database column tab_haoban_sync_task.update_time
     *
     * @param updateTime the value for tab_haoban_sync_task.update_time
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}